org.apache.ignite.spi.systemview.view

## Class ClientConnectionView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.ClientConnectionView

    public class ClientConnectionView
    extends Object

Client connection system view row.

### Constructor Summary

Constructors
Constructor and Description
`ClientConnectionView(GridNioSession ses)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `connectionId()`
`InetSocketAddress` `localAddress()`
`InetSocketAddress` `remoteAddress()`
`String` `type()`
`String` `user()`
`String` `version()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientConnectionView

    public ClientConnectionView(GridNioSession ses)

Parameters:
  `ses` - Nio session.

### Method Detail

#### connectionId

    public long connectionId()

Returns:
  Connection id.

#### type

    public String type()

Returns:
  Connection type.

#### localAddress

    public InetSocketAddress localAddress()

Returns:
  Connection local address.

#### remoteAddress

    public InetSocketAddress remoteAddress()

Returns:
  Connection remote address.

#### user

    public String user()

Returns:
  User name.

#### version

    public String version()

Returns:
  Protocol version.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020